package com.ichir.projects.pacproxy.tests;

import static org.junit.Assert.assertEquals;

import java.net.Proxy;
import java.net.URL;

import org.junit.Test;

import com.ichir.projects.proxypac.ProxyUtil;

/**
 * {@link ProxyUtil} Unit test class.
 * 
 * @author mahieddine_ichir
 */
public class ProxyUtilTest {

	private static final String PAC_URL = "http://pxpac.intra.commercial-union.fr:8080/cgu.pac";
	
	@Test
	public void getProxy() throws Exception {
		URL url = new URL(PAC_URL);
		Proxy proxy = ProxyUtil.getProxy(url, new URL("http://www.google.fr"));
		System.out.println(">> proxy: "+proxy);
		assertEquals(Proxy.Type.HTTP, proxy.type());
	}
	
	@Test
	public void getNoProxy() throws Exception {
		URL url = new URL(PAC_URL);
		Proxy proxy = ProxyUtil.getProxy(url, new URL("http://titania.activ.uff.corp/"));
		System.out.println(">> proxy: "+proxy);
		assertEquals(Proxy.NO_PROXY, proxy);
	}
}
